
import com.imsl.chart.*;
import java.awt.Color;

public class SampleTicks extends JFrameChart {

    public SampleTicks() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        axis.setAutoscaleOutput(AxisXY.AUTOSCALE_OFF);

        axis.getAxisX().setWindow(0.0, 6.0);
        axis.getAxisX().setDensity(3);
        axis.getAxisX().setNumber(4);
        axis.getAxisX().setFirstTick(0.5);
        axis.getAxisX().setTickInterval(1.5);
        axis.getAxisX().setTickLength(-2);

        axis.getAxisY().setWindow(0.0, 10.0);
        double ticksY[] = {0.5, 2.0, 3.0, 6.0, 10.0};
        axis.getAxisY().setTicks(ticksY);
        axis.getAxisY().setTickLength(-1);

        double y[] = {4, 6, 2, 1, 8};
        Data data = new Data(axis, y);
        data.setDataType(Data.DATA_TYPE_LINE);
        data.setLineColor(Color.blue);
    }

    public static void main(String argv[]) {
        new SampleTicks().setVisible(true);
    }
}
